window.MultipleChoiceTestData = {
    // Optional: Wie viele Versuche hat der/die Lernende (Standardwert: Unendlich)
    "maxTries": Infinity,

    // Optional: Soll statt der Anzahl an nötigen Versuchen bewertet werden, wie gut der/die Lernende abschneidet?
    "reportScore": false,

    // Optional: Sollen die Fragen nicht durchgemischt werden?
    "keepOrder": false,

    // Optional: Wie soll bewertet werden?
    // "questions"  → Standardwert, Frage kann entweder richtig sein (1 von 1 Punkt) oder falsch (0 von 1 Punkt)
    // "average"    → Durchschnittlicher Prozentsatz an richtig ausgewählten bzw. richtig nicht ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten bei jeder Frage
    // "choices"    → Anteil der richtig ausgewählten Antwortmöglichkeiten pro auswählbaren Antwortmöglichkeiten
    "countMode": "questions",

    // Wie viele Fragen sollen für einen Test gezogen werden?
    "questionsPerTest": 5,

    // Welcher Anteil muss mindestens richtig sein, um zu bestehen?
    "threshold": 1,

    // Optional: Begrüßungstext
    "htmlIntro": "<p>Gib in jedes Feld den richtigen Fachbegriff (ohne Artikel, …!) ein, um den Test zu bestehen.</p>",

    // Verfügbare Fragen
    "questions": [],

    // Fragengeneratoren
    "generators": [
        function(arrFragen) {
            [
                {
                    accept: ['Datenbanktabelle', 'Tabelle', '(Datenbank-)Tabelle', 'relationale Datenbanktabelle', 'relationale (Datenbank-)Tabelle', 'Relationale Datenbanktabelle', 'Relationale (Datenbank-)Tabelle', 'Datenbanktabellen', 'Tabellen', '(Datenbank-)Tabellen', 'relationale Datenbanktabellen', 'relationale (Datenbank-)Tabellen', 'Relationale Datenbanktabellen', 'Relationale (Datenbank-)Tabellen'],
                    desc: [
                        'Wichtigster Bestandteil einer Datenbank',
                        'Tabelle mit konkreten Daten und deren Aufbau, Bedingungen usw.',
                        'Bestandteil einer Datenbank mit eindeutigem Namen'
                    ]
                },
                {
                    accept: ['Datenbank', 'relationale Datenbank', 'Relationale Datenbank', 'Datenbanken', 'relationale Datenbanken', 'Relationale Datenbanken'],
                    desc: [
                        'Besteht (fast) nur aus Datenbanktabellen mit eindeutigen Namen',
                        'Bestandteil eines Datenbanksystems, der durch Anweisungen in einer Datenbanksprache verändert werden kann',
                        'Gesamtheit aller konkreter Daten (inklusive deren Aufbau, Beziehungen, Bedingungen, …), welche in mehrere „Teile“ aufgeteilt sein kann'
                    ]
                },
                {
                    accept: ['Datenbankmanagementsystem', 'DBMS', 'relationales Datenbankmanagementsystem', 'Relationale Datenbankmanagementsystem', 'Datenbankmanagementsysteme', 'relationale Datenbankmanagementsysteme', 'Relationale Datenbankmanagementsysteme'],
                    desc: [
                        'Software, die Anweisungen in einer Datenbanksprache entgegennimmt und auf eine konkrete Datenbank anwendet',
                        'Von konkreten Daten unabhängiger Teil eines Datenbanksystems',
                        'Verwaltungssystem für Datenbank'
                    ]
                },
                {
                    accept: 'SQL',
                    desc: [
                        'Meistverbreitete Datenbanksprache',
                        'Name der Sprache, in der wir Abfragen an Datenbanksysteme formulieren',
                        'In dieser konkreten Sprache können Abfragen und andere Anweisungen an ein Datenbanksystem formuliert werden'
                    ]
                },
                {
                    accept: ['Datenbanksystem', 'relationales Datenbanksystem', 'Relationales Datenbanksystem', 'Datenbanksysteme', 'relationale Datenbanksysteme', 'Relationale Datenbanksysteme'],
                    desc: [
                        'Besteht aus Datenbank und Datenbankmanagementsystem',
                        'Notwendiges Gesamtsystem, damit Anweisungen in einer Datenbanksprache ausgeführt werden können',
                        'Das benötigt ein Mensch oder ein anderes Computerprogramm unbedingt, damit Abfragen an eine „Datenbank“ möglich sind'
                    ]
                },
                {
                    accept: ['Tabellendokument', 'Tabellendokumente'],
                    desc: [
                        'Datei mit frei formatierbaren und befüllbaren Tabellen',
                        'Datei, deren Tabelle(n) mit Bürosoftware wie LibreOffice Calc bearbeitet und formatiert werden kann/können',
                        'Datei mit Tabelle(n), deren Zellen über Zellbezüge referenziert werden können und die statt Werten auch Formeln beinhalten können'
                    ]
                }
            ].forEach(({ accept, desc }) => {
                arrFragen.push({
                    "html": desc[Math.floor(Math.random() * desc.length)],
                    "choices": [
                        { "html": "Richtiger Fachbegriff: ", "correct": true, accept, "type": "text" }
                    ]
                });
            });
        }
    ]
}
